using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.Skyscraper
{
    [AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
    public sealed class ClassVersionAttribute : Attribute
    {
        public ClassVersionAttribute(int major,int minor,int build,int revision)
        {
			Major = major;
			Minor = minor;
			Build = build;
			Revision = revision;
		}

		public int Major { get; }
		public int Minor { get; }
		public int Build { get; }
		public int Revision { get; }

		public Version ToVersion()
		{
			return new Version(Major, Minor, Build, Revision);
		}
	}
}
